-3

I have Devel 8.x-1.2 installed and need to upgrade to 8.x-2.0 but I cannot install Composer/Drush on the server as it is not included in the hosted service. Any guidance how can I execute this upgrade?

1

enter image description here

Click the tarball or zip file link, extract folder. Upload devel folder to /modules folder.

Then run update.php by going to yourwebsite.com/update.php and then flush all caches.

Note that if the module requires any external dependencies this will not work.

Indeed, I don't believe this is the case for Devel. But if your module has external dependencies and must be installed via composer. Simply in a local or some other environment install it using composer and then upload all the files that were installed, including the /vendor directory files.

  • 1
    Note that if the module requires any external dependencies this will not work. – Kevin Feb 4 '19 at 12:39
  • It depends on symfony/var-dumper (which might already be there as a dependency of something else) – Clive Feb 4 '19 at 12:46
  • Thank you . I will have a check if this could work. Just need to be careful with overwriting existing files so will take a copy first. – herwig evenepoel Feb 5 '19 at 13:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.